# General Translation Platform: 创建项目
URL: https://generaltranslation.com/zh/docs/platform/openapi/reference/project/create-project.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: 在由 orgId 路径参数指定的组织中创建项目。需要 org:projects:create 权限。启用 CDN 分发还需要 project:write 权限。创建项目的 API 参考。

{/* 此文件由 Fumadocs 生成。请勿直接编辑。任何更改均应通过再次运行生成命令完成。 */}

## Endpoint

`POST https://api.gtx.dev/v2/orgs/{orgId}/projects`

**Operation ID:** `createProject`

**Tags:** `Project`

**Summary:** Create a Project

Create a Project in the Organization selected by the orgId path parameter, optionally enabling CDN delivery. Requires org:projects:create.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `orgId` (path, string, required)
- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.

### Request body (required)

Body (`application/json`, object):
- `name` (string, required)
- `defaultLocale` (string, required)
- `cdnEnabled` (boolean)

### Responses

**201**: Project created
Response body (`application/json`, object):
- `project` (object, required)
  - `id` (string, required)
  - `name` (string, required)
  - `orgId` (string, required)
  - `defaultLocale` (string, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**409**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
